%global plugins atlantis cubemodel fakeargb tile
%global plugins_compiz %(echo %{plugins} | sed -e 's/\\</compiz-/g')

%define comp_mainver 0.9.5.92
 
Name:  compiz-fusion-unsupported
Version: 0.9.4
Release: 6%{?dist}
Summary: Additional plugins for Compiz
Group: User Interface/Desktops
License: GPLv2+
URL: http://compiz-fusion.org
Source0: http://releases.compiz-fusion.org/%{version}/compiz-plugins-unsupported-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# libdrm is not available on these arches
ExcludeArch: s390 s390x

BuildRequires: compiz-plugins-main-devel >= %{comp_mainver}
BuildRequires: compiz-bcop >= 0.8.4
BuildRequires: perl(XML::Parser)
BuildRequires: GConf2
BuildRequires: cmake
BuildRequires: boost-devel
BuildRequires: intltool
BuildRequires: mesa-libGL-devel


Requires: compiz-plugins-main >= %{comp_mainver}


%description
The Compiz Fusion Project brings 3D desktop visual effects that improve
usability of the X Window System and provide increased productivity
though plugins and themes contributed by the community giving a
rich desktop experience.

This package contains additional plugins from the Compiz Fusion Project

%package gconf
Summary: Compiz Fusion Unsupported GConf configuration
Group: User Interface/Desktops
Requires: %{name} = %{version}-%{release}
Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2
Requires: compizconfig-backend-gconf > 0.9

Provides:	compiz-fusion-unsupported-gnome = %{version}-%{release}
Obsoletes:	compiz-fusion-unsupported-gnome < 0.9

%description gconf
This package contains the GConf configuration schemas for
Compiz Fusion Unsupported

%prep
%setup -q -n plugins-unsupported
# delete elements as it requires itself to build
rm -rf ./elements
# fix perms on debug package
chmod -x ./cubemodel/src/cubemodel.cpp ./cubemodel/src/cubemodel.h ./cubemodel/src/fileParser.cpp


%build 
mkdir build
pushd build
%cmake -DCOMPIZ_BUILD_WITH_RPATH=OFF -DCOMPIZ_PACKAGING_ENABLED=ON -DCOMPIZ_PLUGIN_INSTALL_TYPE=package -DCOMPIZ_DISABLE_SCHEMAS_INSTALL=ON -DCOMPIZ_INSTALL_GCONF_SCHEMA_DIR=%{_sysconfdir}/gconf/schemas ..
make VERBOSE=1 %{?_smp_mflags}
popd


%install
pushd build
rm -rf $RPM_BUILD_ROOT
make DESTDIR=%{buildroot} install
popd

rm -f $RPM_BUILD_ROOT%{_libdir}/compiz/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/compiz/*.a


%post gconf
%gconf_schema_upgrade %{plugins_compiz}

%pre gconf
%gconf_schema_prepare %{plugins_compiz}

%preun gconf
%gconf_schema_remove %{plugins_compiz}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS
%{_libdir}/compiz/*.so
%{_datadir}/compiz/*.xml

%files gconf
%defattr(-,root,root,-)
%{_sysconfdir}/gconf/schemas/*.schemas


%changelog
* Tue Oct 18 2011 Leigh Scott <leigh123linux@googlemail.com> - 0.9.4-6
- add compiz-plugins-main version

* Tue Oct 18 2011 Leigh Scott <leigh123linux@googlemail.com> - 0.9.4-5
- rebuilt

* Thu Jul 21 2011 Leigh Scott <leigh123linux@googlemail.com> - 0.9.4-4
- rebuild against boost 1.47.0

* Fri Jul 15 2011 Leigh Scott <leigh123linux@googlemail.com> - 0.9.4-3
- rebuilt for compiz-0.9.5.0

* Thu Apr 07 2011 Leigh Scott <leigh123linux@googlemail.com> - 0.9.4-2
- rebuilt against boost 1.46.1

* Fri Mar 25 2011 Hicham HAOUARI <hicham.haouari@gmail.com> - 0.9.4-1
- Update to 0.9.4

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Feb 06 2011 Leigh Scott <leigh123linux@googlemail.com> - 0.9.2.1-5
- rebuilt for boost

* Wed Jan 26 2011 Leigh Scott <leigh123linux@googlemail.com> - 0.9.2.1-4
- sort out requires for gconf sub-package and add obsoletes

* Tue Jan 25 2011 Leigh Scott <leigh123linux@googlemail.com> - 0.9.2.1-3
- fix perms on debug package

* Tue Jan 25 2011 Leigh Scott <leigh123linux@googlemail.com> - 0.9.2.1-2
- remove elements plugin
- remove devel package

* Mon Jan 24 2011 Leigh Scott <leigh123linux@googlemail.com> - 0.9.2.1-1
- Update to 0.9.2.1
- adjust build for CMake
- use gconf macros

* Sun Apr 18 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.8.4-3
- bump requirements to 0.8.6 for compiz-fusion

* Sat Apr 17 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.8.4-2
- rebuilt for compiz-0.8.6
- define compiz version

* Sat Jan 16 2010 Leigh Scott <leigh123linux@googlemail.com> - 0.8.4-1
- Update to 0.8.4

* Mon Jun 8 2009 Leigh Scott <leigh123linux@googlemail.com> 0.8.2-1
- bump to version 0.8.2
- fix permissions on the debug package
- add devel for compiz-elements
- make some of the recommended changes for the review

* Fri Dec 12 2008 Leigh Scott <leigh123linux@googlemail.com> 0.7.8-1
- First build 


